FROM ubuntu

FROM node:10.15.3

RUN apt-get update -y

RUN apt-get install curl -y

RUN apt-get install sudo -y

RUN apt-get install build-essential -y -y

RUN apt-get install libx11-dev libxkbfile-dev -y

RUN curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | apt-key add -

RUN echo "deb https://dl.yarnpkg.com/debian/ stable main" | tee /etc/apt/sources.list.d/yarn.list

RUN sudo apt install --no-install-recommends yarn -y

RUN apt-get install git -y

RUN apt-get install apt-transport-https ca-certificates

RUN apt-get update -y

RUN apt-get install -y g++ gcc make python2.7 pkg-config libx11-dev libxkbfile-dev

RUN apt-get install python2.7 

WORKDIR /workspace

RUN git clone https://pg-gitlab.altimetrik.com/BCP/bcp.git

WORKDIR ../theiaApp

RUN git clone https://github.com/eclipse-theia/theia

WORKDIR theia

RUN ls

RUN yarn 

WORKDIR examples/browser/

RUN ls

ENTRYPOINT [ "yarn", "run", "start", "/workspace/bcp", "--port=9000", "--hostname=0.0.0.0"]
